Bug 208989 - [WebXR] Import wpt tests
Summary: [WebXR] Import wpt tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sergio Villar Senin
URL:
Keywords: InRadar
Depends on:
Blocks: 208988
  Show dependency treegraph
 
Reported: 2020-03-12 03:39 PDT by Sergio Villar Senin
Modified: 2020-03-16 09:10 PDT (History)
3 users (show)

See Also:


Attachments
Patch (326.32 KB, patch)
2020-03-12 03:42 PDT, Sergio Villar Senin
youennf: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Villar Senin 2020-03-12 03:39:29 PDT
[WebXR] Import wpt tests
Comment 1 Sergio Villar Senin 2020-03-12 03:42:45 PDT
Created attachment 393356 [details]
Patch
Comment 2 youenn fablet 2020-03-13 02:28:56 PDT
Comment on attachment 393356 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=393356&action=review

> LayoutTests/TestExpectations:4144
> +webkit.org/b/208988 imported/w3c/web-platform-tests/webxr/xrWebGLLayer_viewports.https.html [ Skip ]

Maybe simply skip the whole folder?
Comment 3 Sergio Villar Senin 2020-03-16 07:06:12 PDT
(In reply to youenn fablet from comment #2)
> Comment on attachment 393356 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=393356&action=review
> 
> > LayoutTests/TestExpectations:4144
> > +webkit.org/b/208988 imported/w3c/web-platform-tests/webxr/xrWebGLLayer_viewports.https.html [ Skip ]
> 
> Maybe simply skip the whole folder?

The reason why I'm listing then individually is because I'm planning to unskip them one by one as I implement the APIs. I think it was possible to skip a whole folder and then mark individual tests as passing, but as I saw none in TestExpectations I decided to do it this way...
Comment 4 Sergio Villar Senin 2020-03-16 09:04:06 PDT
(In reply to Sergio Villar Senin from comment #3)
> (In reply to youenn fablet from comment #2)
> > Comment on attachment 393356 [details]
> > Patch
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=393356&action=review
> > 
> > > LayoutTests/TestExpectations:4144
> > > +webkit.org/b/208988 imported/w3c/web-platform-tests/webxr/xrWebGLLayer_viewports.https.html [ Skip ]
> > 
> > Maybe simply skip the whole folder?
> 
> The reason why I'm listing then individually is because I'm planning to
> unskip them one by one as I implement the APIs. I think it was possible to
> skip a whole folder and then mark individual tests as passing, but as I saw
> none in TestExpectations I decided to do it this way...

There are examples of this in platform specific TestExpectations so I think I'll change it. Thanks for the suggestion
Comment 5 Sergio Villar Senin 2020-03-16 09:09:59 PDT
Committed r258499: <https://trac.webkit.org/changeset/258499>
Comment 6 Radar WebKit Bug Importer 2020-03-16 09:10:16 PDT
<rdar://problem/60496729>